Bug 1470609 - [abrt] python3-jinja2-cli: _parse_ini(): cli.py:80:_parse_ini:ModuleNotFoundError: No module named 'StringIO'
[abrt] python3-jinja2-cli: _parse_ini(): cli.py:80:_parse_ini:ModuleNotFoundE...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-jinja2-cli (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Julien Enselme
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:49525179e6a6f7e5f412a0e854e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-13 06:04 EDT by Kamil Páral
Modified: 2017-07-24 20:24 EDT (History)
1 user (show)

See Also:
Fixed In Version: python-jinja2-cli-0.6.0-1.fc26 python-jinja2-cli-0.6.0-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-24 15:21:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (837 bytes, text/plain)
2017-07-13 06:04 EDT, Kamil Páral
no flags Details
File: cgroup (355 bytes, text/plain)
2017-07-13 06:04 EDT, Kamil Páral
no flags Details
File: cpuinfo (1.26 KB, text/plain)
2017-07-13 06:04 EDT, Kamil Páral
no flags Details
File: environ (4.13 KB, text/plain)
2017-07-13 06:04 EDT, Kamil Páral
no flags Details
File: mountinfo (3.92 KB, text/plain)
2017-07-13 06:04 EDT, Kamil Páral
no flags Details
File: namespaces (102 bytes, text/plain)
2017-07-13 06:04 EDT, Kamil Páral
no flags Details
File: open_fds (245 bytes, text/plain)
2017-07-13 06:04 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2017-07-13 06:04:12 EDT
Description of problem:
There seems to be a missing dependency on StringIO.

Version-Release number of selected component:
python3-jinja2-cli-0.5.0-6.fc26

Additional info:
reporter:       libreport-2.9.1
cmdline:        /usr/bin/python3 /usr/bin/jinja2 --format=ini index.html.j2 index_data.ini
crash_function: _parse_ini
exception_type: ModuleNotFoundError
executable:     /usr/bin/jinja2
kernel:         4.11.9-300.fc26.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
cli.py:80:_parse_ini:ModuleNotFoundError: No module named 'StringIO'

Traceback (most recent call last):
  File "/usr/bin/jinja2", line 11, in <module>
    load_entry_point('jinja2-cli==0.5.0', 'console_scripts', 'jinja2')()
  File "/usr/lib/python3.6/site-packages/jinja2cli/cli.py", line 287, in main
    cli(opts, args)
  File "/usr/lib/python3.6/site-packages/jinja2cli/cli.py", line 203, in cli
    data = format_data(format, data)
  File "/usr/lib/python3.6/site-packages/jinja2cli/cli.py", line 160, in format_data
    return formats[format_][0](data)
  File "/usr/lib/python3.6/site-packages/jinja2cli/cli.py", line 80, in _parse_ini
    import StringIO
ModuleNotFoundError: No module named 'StringIO'

Local variables in innermost frame:
data: '[modulelint]\noutcome=PASSED\npath=abc\n\n[tests]\noutcome=FAILED\npath=def/ghi\n'
Comment 1 Kamil Páral 2017-07-13 06:04:17 EDT
Created attachment 1297484 [details]
File: backtrace
Comment 2 Kamil Páral 2017-07-13 06:04:18 EDT
Created attachment 1297485 [details]
File: cgroup
Comment 3 Kamil Páral 2017-07-13 06:04:20 EDT
Created attachment 1297486 [details]
File: cpuinfo
Comment 4 Kamil Páral 2017-07-13 06:04:21 EDT
Created attachment 1297487 [details]
File: environ
Comment 5 Kamil Páral 2017-07-13 06:04:23 EDT
Created attachment 1297488 [details]
File: mountinfo
Comment 6 Kamil Páral 2017-07-13 06:04:24 EDT
Created attachment 1297489 [details]
File: namespaces
Comment 7 Kamil Páral 2017-07-13 06:04:25 EDT
Created attachment 1297490 [details]
File: open_fds
Comment 8 Fedora Update System 2017-07-16 11:32:10 EDT
python-jinja2-cli-0.6.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a128d09174
Comment 9 Fedora Update System 2017-07-16 11:53:17 EDT
python-jinja2-cli-0.6.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-35b6090bf2
Comment 10 Fedora Update System 2017-07-16 22:50:04 EDT
python-jinja2-cli-0.6.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-35b6090bf2
Comment 11 Fedora Update System 2017-07-16 23:25:31 EDT
python-jinja2-cli-0.6.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a128d09174
Comment 12 Fedora Update System 2017-07-24 15:21:35 EDT
python-jinja2-cli-0.6.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2017-07-24 20:24:05 EDT
python-jinja2-cli-0.6.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.